package com.jkcredit.invoice.hub.service.carFreeCarrierBillStart;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.hub.model.dto.carFreeCarrierBillStart.BillRecordDto;
import com.jkcredit.invoice.hub.model.dto.carFreeCarrierBillStart.CarFreeCarrierBillStartDto;
import com.jkcredit.invoice.hub.model.po.carFreeCarrierBillStart.CarFreeCarrierBillStartPo;
import com.jkcredit.invoice.hub.model.vo.record.BillRecordVo;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/16 23:24
 * @version: V1.0
 **/
public interface CarFreeCarrierBillStartService {
    void saveBillStart(CarFreeCarrierBillStartDto dto);

    void updateBillStartStatus(String num, Integer status);

    List<CarFreeCarrierBillStartPo> getRealTimeBills();

    List<CarFreeCarrierBillStartPo> getHistoryBills();

    CarFreeCarrierBillStartPo getBillStartByNum(String num);

    void saveBillStart(CarFreeCarrierBillStartPo po);

    void updateBillStartIsSearch(String num);

    List<String> getNoSearchNums(String userId);

    IPage<BillRecordVo> getBillRecord(Page page, BillRecordDto dto);

    // 查询状态为空的运单（状态为空为老平台遗留数据，通过此项目接口上传的运单状态不为空）
    List<CarFreeCarrierBillStartPo> getBillsWithoutIsHistoryFlag();
}
